Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/usr.sbin/postinstall Add "named" item to move /etc/namedb/na...



details:   https://anonhg.NetBSD.org/src/rev/f0c27699c582
branches:  trunk
changeset: 584310:f0c27699c582
user:      lukem <lukem%NetBSD.org@localhost>
date:      Mon Sep 12 23:16:15 2005 +0000

description:
Add "named" item to move /etc/namedb/named.conf to /etc/named.conf.
Per discussion with Matthias Scheler.

diffstat:

 usr.sbin/postinstall/postinstall |  16 +++++++++++++++-
 1 files changed, 15 insertions(+), 1 deletions(-)

diffs (32 lines):

diff -r 22899984c6bb -r f0c27699c582 usr.sbin/postinstall/postinstall
--- a/usr.sbin/postinstall/postinstall  Mon Sep 12 22:17:49 2005 +0000
+++ b/usr.sbin/postinstall/postinstall  Mon Sep 12 23:16:15 2005 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: postinstall,v 1.6 2005/09/12 15:48:29 lukem Exp $
+# $NetBSD: postinstall,v 1.7 2005/09/12 23:16:15 lukem Exp $
 #
 # Copyright (c) 2002-2005 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -591,6 +591,20 @@
 }
 
 #
+#      named
+#
+additem named "named configuration update"
+do_named()
+{
+       [ -n "$1" ] || err 2 "USAGE: do_named  fix|check"
+       op=$1
+
+       move_file ${op} \
+               ${DEST_DIR}/etc/namedb/named.conf \
+               ${DEST_DIR}/etc/named.conf
+}
+
+#
 #      pam
 #
 # disabled for now



Home | Main Index | Thread Index | Old Index